Link a card to a reference with the given bearer details. Linking a card will not activate it. Inactive cards need to be activated using the Activate call before they will become functional.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| reference | String | 1-255 characters | ✓ | The user defined reference to the card; for example a member id or wallet number |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the specified card. This parameter can’t be empty for this call |
| firstName | String | 0-50 characters | ✓ | The first name of the card bearer. Field is required but can accept empty string |
| lastName | String | 0-50 characters | ✓ | The last name of the card bearer. Field is required but can accept empty string |
| idOrPassport | String | 0-20 characters | ✓ | The id or passport number of the card bearer. Field is required but can accept empty string |
| cellphoneNumber | String | 0-20 characters | ✓ | The cellphone number of the card bearer. Field is required but can accept empty string |
| transactionID | String | 1-255 characters | ✓ | a unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Client generated / local Transaction Date to assist in identifying transactions on the client side | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<methodCall>
<methodName>LinkCard</methodName>
<params>
<param>
<value>
<string>1063242391</string>
</value>
</param>
<param>
<value>
<string>27091309</string>
</value>
</param>
<param>
<value>
<string>5267237340995161</string>
</value>
</param>
<param>
<value>
<string>Themba</string>
</value>
</param>
<param>
<value>
<string>Mcube</string>
</value>
</param>
<param>
<value>
<string>7932365284082</string>
</value>
</param>
<param>
<value>
<string>0879223942</string>
</value>
</param>
<param>
<value>
<string>test-id</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20170312T23:00:12</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>3CE2EAFB02DF179B703A4B3BBA9A31CA8078D8B1</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>